Kernel-Fehler !!! Need Help !

Diskutiere Kernel-Fehler !!! Need Help ! im Linux OS Forum im Bereich Linux/Unix Allgemein; Hallo, hier erst mal der Fehler: Ich wollt den neuen Kernel 2.6.0-test4 kompilieren und dann trat folgene Fehlermeldung auf. Nur diese trat...

  1. #1 homoeolin, 03.10.2003
    homoeolin

    homoeolin QT-Freak

    Dabei seit:
    07.12.2002
    Beiträge:
    75
    Zustimmungen:
    0
    Ort:
    Germany, Speyer
    Hallo,

    hier erst mal der Fehler:
    Ich wollt den neuen Kernel 2.6.0-test4 kompilieren und dann trat folgene
    Fehlermeldung auf. Nur diese trat auch schon bei dem Urkernel von Icepack 2.75 auf, nachdem ich GCC 3.3.1 installiert hatte...

    Fehler:

    Code:
    (...)
    make[3]: Verlassen des Verzeichnisses Verzeichnis »/usr/src/linux/drivers/hotplug«
    make[2]: Verlassen des Verzeichnisses Verzeichnis »/usr/src/linux/drivers/hotplug«
    make -C ide
    make[2]: Wechsel in das Verzeichnis Verzeichnis »/usr/src/linux/drivers/ide«
    make all_targets
    make[3]: Wechsel in das Verzeichnis Verzeichnis »/usr/src/linux/drivers/ide«
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=ide  -DEXPORT_SYMTAB -c ide.c
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=ide_features  -DEXPORT_SYMTAB -c ide-features.c
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=ide_taskfile  -DEXPORT_SYMTAB -c ide-taskfile.c
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=cmd640  -c -o cmd640.o cmd640.c
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=ide_adma  -c -o ide-adma.o ide-adma.c
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=ide_dma  -c -o ide-dma.o ide-dma.c
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=ide_pci  -c -o ide-pci.o ide-pci.c
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=piix  -c -o piix.o piix.c
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=rz1000  -c -o rz1000.o rz1000.c
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=ide_proc  -c -o ide-proc.o ide-proc.c
    ld -m elf_i386 -r -o ide-mod.o ide.o ide-features.o ide-taskfile.o  cmd640.o ide-adma.o ide-dma.o ide-pci.o piix.o rz1000.o ide-proc.o
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=ide_probe  -DEXPORT_SYMTAB -c ide-probe.c
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=ide_geometry  -c -o ide-geometry.o ide-geometry.c
    ld -m elf_i386 -r -o ide-probe-mod.o ide-probe.o ide-geometry.o
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=ide_disk  -c -o ide-disk.o ide-disk.c
    gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -pipe -mpreferred-stack-boundary=2 -march=i686   -nostdinc -I /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.1/include -DKBUILD_BASENAME=ide_cd  -c -o ide-cd.o ide-cd.c
    In file included from ide-cd.c:318:
    ide-cd.h:440: error: long, short, signed or unsigned used invalidly for `slot_tablelen'
    make[3]: *** [ide-cd.o] Fehler 1
    make[3]: Verlassen des Verzeichnisses Verzeichnis »/usr/src/linux/drivers/ide«
    make[2]: *** [first_rule] Fehler 2
    make[2]: Verlassen des Verzeichnisses Verzeichnis »/usr/src/linux/drivers/ide«
    make[1]: *** [_subdir_ide] Fehler 2
    make[1]: Verlassen des Verzeichnisses Verzeichnis »/usr/src/linux/drivers«
    make: *** [_dir_drivers] Fehler 2
    Der Fehler trat sowohl mit dem neuem Kernel 2.6.-test4, als auch mit dem
    Icepack-2.75-Ursprungskernel auf.
    Ich vermute die Ursache im GCC-3.3.1-Kompiler !
    Hatte den nämlich neu kompiliert und danach ging das alles gar net mehr !
    Davor hatte ich mit ide-cd.o keine Probleme !

    Mein System:
    Icepack 2.75
    GCC-3.3.1 (Neu dazu-kompiliert)
    QT 3.0.1 free (Neu dazu-kompiliert)
    Außerdem ne neue Wireless Karte: Digitus Internet Wireless LAN PCI Card...


    Hoffe ihr könnt mir da helfen !!!
    :help:

    THX, Tobias
     
  2. Anzeige

    Anzeige

    Wenn du mehr über Linux erfahren möchtest, dann solltest du dir mal folgende Shellkommandos anschauen.


    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
Thema:

Kernel-Fehler !!! Need Help !

Die Seite wird geladen...

Kernel-Fehler !!! Need Help ! - Ähnliche Themen

  1. Die Top 10 "Musts & Needs" Mobile Apps ...

    Die Top 10 "Musts & Needs" Mobile Apps ...: Smartphones sind ja mittlerweile recht etabliert,und daher wollte ich mal fragen, welche Apps ihr denn so auf euren Phones habt und auch nicht...
  2. Help needed: Fritz!WLAN USB Stick und openSUSE

    Help needed: Fritz!WLAN USB Stick und openSUSE: Hi Leute, ich brauche Hilfe! Wer hat den im Titel beschriebenen USB-Stick unter openSUSE zum Laufen bekommen und hat die Geduld, mich Schritt für...
  3. openSuse 10.3 Beta: error: Failed build dependencies: kernel-dummy is needed

    openSuse 10.3 Beta: error: Failed build dependencies: kernel-dummy is needed: Morgens, ich probiere gerade openSuse 10.3 und wollte mir nun die passenden Kernel-Sourcen von...
  4. problem mit nvidia treibern + gcc gekillt - need help [gentoo]

    problem mit nvidia treibern + gcc gekillt - need help [gentoo]: Hallo hab nach nem systemupdate heute morgen nen fehlerhaftes sys vorgefunden als ich nach hause gekommen bin... hab schon ein ähnliches...
  5. Need auf packages

    Need auf packages: Hallo Com, habe jetzt versucht Kopete zu aktualisieren und mir licq noch zu installieren und wie bei vielen fehlen mir einige Packete für...
  1. Diese Seite verwendet Cookies um Inhalte zu personalisieren. Außerdem werden auch Cookies von Diensten Dritter gesetzt. Mit dem weiteren Aufenthalt akzeptierst du diesen Einsatz von Cookies.
    Information ausblenden